- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Object_Adapter::Active_Hint_Strategy Class Reference

This class uses active demux hint for POA active hint strategy. More...

`#include <Object_Adapter.h>`

Inheritance diagram for TAO_Object_Adapter::Active_Hint_Strategy:

[legend]
Collaboration diagram for TAO_Object_Adapter::Active_Hint_Strategy:

[legend]
List of all members.

## Public Member Functions
| Active_Hint_Strategy (CORBA::ULong map_size)
virtual | ~Active_Hint_Strategy (void)
virtual int | find_persistent_poa (const poa_name &system_name, TAO_Root_POA *&poa)
virtual int | bind_persistent_poa (const poa_name &folded_name, TAO_Root_POA *poa, poa_name_out system_name)
virtual int | unbind_persistent_poa (const poa_name &folded_name, const poa_name &system_name)
## Protected Types
typedef ACE_Active_Map_Manager_Adapter< poa_name, TAO_Root_POA *, TAO_Preserve_Original_Key_Adapter > | persistent_poa_system_map
## Protected Attributes
persistent_poa_system_map | persistent_poa_system_map_

## Detailed Description

This class uses active demux hint for POA active hint strategy.

This class will append an active hint to the POA name, making the POA lookups fast and predictable.

## Member Typedef Documentation

typedef ACE_Active_Map_Manager_Adapter< poa_name, TAO_Root_POA *, TAO_Preserve_Original_Key_Adapter> TAO_Object_Adapter::Active_Hint_Strategy::persistent_poa_system_map`[protected]`

## Constructor & Destructor Documentation

TAO_Object_Adapter::Active_Hint_Strategy::Active_Hint_Strategy | ( | CORBA::ULong | map_size | ) |

TAO_Object_Adapter::Active_Hint_Strategy::~Active_Hint_Strategy | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_Object_Adapter::Active_Hint_Strategy::bind_persistent_poa | ( | const poa_name & | folded_name,
|  | TAO_Root_POA * | poa,
|  | poa_name_out | system_name |
| ) |  |  | `[virtual]`

Implements TAO_Object_Adapter::Hint_Strategy.

int TAO_Object_Adapter::Active_Hint_Strategy::find_persistent_poa | ( | const poa_name & | system_name,
|  | TAO_Root_POA *& | poa |
| ) |  |  | `[virtual]`

Implements TAO_Object_Adapter::Hint_Strategy.

int TAO_Object_Adapter::Active_Hint_Strategy::unbind_persistent_poa | ( | const poa_name & | folded_name,
|  | const poa_name & | system_name |
| ) |  |  | `[virtual]`

Implements TAO_Object_Adapter::Hint_Strategy.

## Member Data Documentation

persistent_poa_system_map TAO_Object_Adapter::Active_Hint_Strategy::persistent_poa_system_map_`[protected]`

The documentation for this class was generated from the following files:

- Object_Adapter.h
- Object_Adapter.cpp